html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
}

/* Content wächst */
.container {
    width: 100%;
}


/* Footer bleibt unten */
.footer {
    width: 100%;
    padding: 20px;
}

.footer-content {
    max-width: 1100px;
    margin: 0 auto;
    padding: 20px;
}